Ajouter un point Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft AddPoint and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft AddPoint.svg Draft Ajouter un point

Emplacement du menu
Draft → Ajouter un point
Ateliers
Atelier Draft, Atelier Architecture
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Draft Effacer un Point, Draft Édit


Description

Cet outil vous permet d'ajouter des points supplémentaires à un Fil (Wire) et à des BSplines.

La contrepartie de cet outil est l'opération Draft Effacer un Point.

Utilisation

  1. Sélectionnez un Fil (Wire) ou un BSplines. L'outil est désactivé si aucun objet n'est sélectionné.
  2. Appuyez sur le bouton Draft AddPoint.svg Draft Ajouter un Point.
  3. Cliquez sur un point de la vue 3D ou tapez les coordonnées et appuyez sur le bouton Draft AddPoint.svg ajouter un point.
  4. Appuyez sur Esc ou sur le bouton Close pour terminer l'opération. Les points déjà placés resteront.

Cette fonctionnalité est également disponible à partir de l'outil Draft Edit.svg Draft Edit.

Options

  • Cette fonctionnalité est également disponible à l'intérieur de l'outil

Draft Edit.svg Draft Edit.

Script

Voir aussi: Draft API et FreeCAD Scripting Basics.

Aucune interface de programmation n'est disponible pour l'outil AddPoint. Toutefois, l'ajout de points est simple.

L'attribut Points d'un fil ou d'une spline est une liste de points qui composent cet objet. Pour ajouter des points, remplacez cet attribut par une liste de points plus longue. Vous pouvez utiliser des méthodes telles que append() et insert() pour ajouter un nouvel élément à la position souhaitée dans la liste. Chaque point est défini par son FreeCAD.Vector, en unités en millimètres.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, -400, 0)
p2 = FreeCAD.Vector(2200, -1000, 0)

wire = Draft.makeWire([p1, p2])

p_new = FreeCAD.Vector(1500, 1500, 0)
points = wire.Points
points.insert(1, p_new)

wire.Points = points
FreeCAD.ActiveDocument.recompute()